Summary: An extensible window manager for the X Window System.
Name: sawfish
Version: 1.3.2
Release: 1%{?dist}
Requires: librep >= 0.16, rep-gtk >= 0.16
License: GPLv2
Group: User Interface/Desktops
Source: http://download.sourceforge.net/sawfish/sawfish-%{version}.tar.gz
URL: http://sawfish.wikia.com/wiki/Main_Page
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rep-gtk-libglade control-center-devel gmp-devel texinfo

%description
Sawfish is an extensible window manager which uses a Lisp-based
scripting language.  All window decorations are configurable and the
basic idea is to have as much user-interface policy as possible
controlled through the Lisp language.  Configuration can be
accomplished by writing Lisp code in a personal .sawfishrc file, or
using a GTK+ interface.  Sawfish is mostly GNOME compliant

%prep
%setup -q

%build
#make

%configure

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties
mkdir -p $RPM_BUILD_ROOT%{_datadir}/control-center
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Settings
mkdir -p $RPM_BUILD_ROOT%{_bindir}
  
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
 
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/sawfish*

%post
/sbin/install-info %{_infodir}/sawfish.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/sawfish.info.gz %{_infodir}/dir
fi

%clean


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS FAQ THANKS BUGS TODO
#%doc po/sawfish.pot lisp/sawfish/ui/WIDGETS lisp/sawfish/ui/WISHLIST
%{_bindir}/sawfish
%{_bindir}/sawfish-client
%{_bindir}/sawfish-ui
%{_datadir}/sawfish/%{version}
%{_datadir}/locale
#%{_datadir}/control-center-2.0/capplets
%{_datadir}/gnome/wm-properties/Sawfish.desktop
%{_datadir}/pixmaps/sawfish*.png
%{_libexecdir}/sawfish/%{version}/%{_host}
%{_libexecdir}/rep/%{_host}/sawfish
%{_infodir}/sawfish*

%changelog
* Thu Jan 31 2008 Rahul Sundaram <sundaram@fedoraproject.org> -1.3.2-1
- Initial build for Fedora

